<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">

<html>
<font size="1">

        <center><h2>Kontakty</h2></center>

        <ul>
        <xsl:for-each select="report/contact">

            <li>
            <b>Kontakt: </b>
            </li>
            
            <li>
            <b>Data kontaktu: </b><xsl:value-of select="contact_date"/>&#160;
            <b>Czas kontaktu: </b><xsl:value-of select="contact_time"/>&#160;
            <b>Data utworzenia kontaktu: </b><xsl:value-of select="real_date"/>&#160;
            <b>Czas utworzenia kontaktu: </b><xsl:value-of select="real_time"/>
            </li>

            <ul>
            <li>
            <b>Typ kontaktu: </b>
            <xsl:for-each select="contact_type">
                <xsl:value-of select="name"/>&#160;
                <xsl:value-of select="description"/>
            </xsl:for-each>
            </li>

            <li>
            <b>Rodzaj kontaktu: </b>
            <xsl:for-each select="contact_kind">
                <xsl:value-of select="name"/>&#160;
                <xsl:value-of select="description"/>
            </xsl:for-each>
            </li>
            </ul>

            <ul>
            <xsl:for-each select="contractor">
                <li>
                <b>Kontrahent: </b>
                <xsl:value-of select="symbol"/>&#160;
                <xsl:value-of select="name"/>
                </li>
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="representative">
                <li>
                <b>Reprezentant: </b>
                <xsl:value-of select="name"/>&#160;
                <xsl:value-of select="lastname"/>&#160;
                <xsl:value-of select="description"/>
                </li>
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="users">
                <li>
                <b>Uzytkownik: </b>
                <xsl:value-of select="name"/>&#160;
                <xsl:value-of select="login"/>&#160;
                <xsl:value-of select="add_info"/>
                </li>
            </xsl:for-each>
            </ul>
            
        </xsl:for-each>
        </ul>

</font>
</html>

</xsl:template>
</xsl:stylesheet>

