<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">

<html>
<font size="1">

        <center><h2>Kontrahenci</h2></center>

        <ul>
        <xsl:for-each select="report/contractor">

            <!-- <img src="/tmp/kandy.png"/> -->
            <li><b>Kontrahent: </b>
            <xsl:value-of select="symbol"/>&#160;
            <xsl:value-of select="name"/></li>

            <ul>
            <xsl:for-each select="contractor_attributes">

                <li>
                <b>Cecha: </b>

                <xsl:for-each select="attribute">

                    <xsl:value-of select="name"/>&#160;
                    <xsl:value-of select="description"/>
                    
                </xsl:for-each>
                </li>
                
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="telephone">

                <li>
                <b>Telefon: </b>

                <xsl:value-of select="name"/>&#160;
                
                <xsl:for-each select="telephone_type">
                    <xsl:value-of select="name"/>&#160;
                </xsl:for-each>
                
                <xsl:value-of select="description"/>
                </li>
                
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="address">

                <li>
                
                <b>Adres: </b>

                <xsl:value-of select="address"/>&#160;
                <xsl:value-of select="zip"/>&#160;

                <xsl:for-each select="city">
                    <xsl:value-of select="name"/>
                </xsl:for-each>

                &#160;

                <xsl:for-each select="country">
                    <xsl:value-of select="country"/>
                </xsl:for-each>

                &#160;
                                
                <xsl:value-of select="description"/>

                </li>
                
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="email">
                <li>
                <b>Email: </b>
                <xsl:value-of select="name"/>&#160;
                <xsl:value-of select="description"/><br/>
                </li>
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="bank_account">
                <li>
                <b>Konto bankowe: </b>
                <xsl:value-of select="number"/>&#160;
                <xsl:value-of select="description"/><br/>
                </li>
            </xsl:for-each>
            </ul>

            <ul>
            <xsl:for-each select="contractor_reps">
                <xsl:for-each select="representative">

                    <li>
                    <b>Reprezentant: </b>
                    <xsl:value-of select="name"/>&#160;
                    <xsl:value-of select="lastname"/>&#160;
                    <xsl:value-of select="description"/><br/>

                    <ul>
                    <xsl:for-each select="representative_tel">
                        <li>
                        <b>Telefon: </b>
                        <xsl:value-of select="name"/>&#160;
                        <xsl:value-of select="description"/><br/>
                        </li>
                    </xsl:for-each>
                    </ul>

                    <ul>
                    <xsl:for-each select="representative_email">
                        <li>
                        <b>Email: </b>
                        <xsl:value-of select="name"/>&#160;
                        <xsl:value-of select="description"/><br/>
                        </li>
                    </xsl:for-each>
                    </ul>
                    </li>

                </xsl:for-each>
            </xsl:for-each>
            </ul>
            
            <!-- <xsl:for-each select="mail_mitem">
                <xsl:for-each select="mail_mailing">
                </xsl:for-each>
            </xsl:for-each> -->


            
        </xsl:for-each>
        
        </ul>
</font>
</html>

</xsl:template>
</xsl:stylesheet>

