<?xml version="1.0" encoding="ISO-8859-2"?>
<!-- Edited with XML Spy v4.2 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>
  <body bgcolor="white" style="font-size:10px;">
	<div align="center"><h2><xsl:value-of select="invoice/company/name"/></h2>
	<hr width="100%"/>
	<h3><xsl:value-of select="invoice/company/address"/></h3>
	<hr width="100%"/>
	<b><xsl:value-of select="invoice/document_kind"/></b><br/>
	(orygina/kopia)<br/>
	<xsl:value-of select="invoice/document_type"/>
	</div>
	Numer faktury: <b><xsl:value-of select="invoice/number"/></b><br/>
	Data wystawienia: <b><xsl:value-of select="invoice/docdate"/></b><br/>
	Data sprzeday: <b><xsl:value-of select="invoice/saledate"/></b><br/>
	<br/>
	<table width="100%" style="font-size:10px;">
	<tr>
		<td width="50%"><b>Sprzedawca</b><br/>
			<xsl:value-of select="invoice/company/name"/><br/>
			<xsl:value-of select="invoice/company/address"/><br/>
			NIP: <xsl:value-of select="invoice/company/tax_id"/><br/>
		</td>
		<td width="50%"><b>Nabywca</b><br/>
			<xsl:value-of select="invoice/contractor/name"/><br/>
			<xsl:value-of select="invoice/contractor/address"/><br/>
			NIP: <xsl:value-of select="invoice/contractor/tax_id"/><br/>	
		</td>
	</tr>
	</table>
	<br/>
    <table style="border-width:0px; border-style:solid;font-size:10px;" width="100%" cellspacing="1" cellpadding="1" bgcolor="black">
      <tr bgcolor="white">
        <th align="center" width="5%">Lp.</th>

        <th align="center" width="37%">Nazwa</th>
        <th align="center" width="10%">PKWIU</th>	
        <th align="center" width="6%">Ilo</th>
        <th align="center" width="5%">J.m.</th>	
        <th align="center" width="8%">Cena NETTO</th>		
        <th align="center" width="8%">Warto NETTO</th>			
        <th align="center" width="5%">Stawka VAT</th>			
	<th align="center" width="8%">Kwota VAT</th>			
        <th align="center" width="8%">Warto BRUTTO</th>				
      </tr>
      <xsl:for-each select="invoice/positions/position">
      <tr bgcolor="white">
        <td align="right"><xsl:value-of select="id"/></td>
        <td align="left"><xsl:value-of select="name"/></td>
        <td align="lefth"><xsl:value-of select="pkwiu"/></td>		
        <td align="right" ><xsl:value-of select="quantity"/></td>
        <td align="center"><xsl:value-of select="unit"/></td>			
        <td align="right" ><xsl:value-of select="netto_after_bonus"/></td>		
        <td align="right" ><xsl:value-of select="netto_sum"/></td>		
        <td align="center"><xsl:value-of select="vatrate"/></td>		
        <td align="right" ><xsl:value-of select="vat"/></td>		
        <td align="right" ><xsl:value-of select="gross_sum"/></td>		
      </tr>
      </xsl:for-each>
     <tr bgcolor="white">
     <xsl:variable name="rowspan" select="invoice/vat_rates/rates_count" />
     <td rowspan="{$rowspan+1}" colspan="6">
		</td>
	 </tr>
	 <xsl:for-each select="invoice/vat_rates/rate">
      <tr bgcolor="white">	  
       	
		<td align="right"><xsl:value-of select="netto"/></td>
        <td  align="center"><xsl:value-of select="name"/></td>
        <td align="right"><xsl:value-of select="vat"/></td>		   
        <td align="right"><xsl:value-of select="gross"/></td>			
      </tr>
      </xsl:for-each>
     <tr bgcolor="white">
	 	<td align="right" colspan="6"><b>Do zapaty RAZEM:</b> </td>
		<td align="right"><xsl:value-of select="invoice/netto_sum"/></td>
		<td align="center">---</td>
		<td align="right"><xsl:value-of select="invoice/vat_sum"/></td>
		<td align="right"><xsl:value-of select="invoice/gross_sum"/></td>		
	 </tr>	  
    </table>	
	Sownie do zapaty:	<xsl:value-of select="invoice/gross_as_words"/>
	<br/><br/>
	Forma patnoci:<b>	<xsl:value-of select="invoice/payment_type"/></b>
	<br/>
	Termin patnoci:<b>	<xsl:value-of select="invoice/payment_date"/></b>
	<br/>
	Numer rachunku bankowego sprzedawcy:<br/><br/><b>	<xsl:value-of select="invoice/company/bank_account"/></b><br/><br/>
	<table width="100%">
	<tr>
		<td width="50%" align="center">Podpis osoby upowanionej do odbioru faktury
		</td>
		<td width="50%" align="center">Podpis osoby upowanionej do wystawienia faktury
		</td>
	</tr>
	</table>
	<br/>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
