<?xml version="1.0" encoding="ISO-8859-2"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>
  <body bgcolor="white" style="font-size:10px;">
	<div align="center">
	<h3><xsl:value-of select="PZ_DOCUMENT/DOCUMENT_KIND"/></h3>
	<hr width="100%"/>
	<h2><xsl:value-of select="PZ_DOCUMENT/COMPANY_DATA/NAME"/></h2>
	<h3><xsl:value-of select="PZ_DOCUMENT/COMPANY_DATA/ADDRESS"/></h3>
	<b>NIP: <xsl:value-of select="PZ_DOCUMENT/COMPANY_DATA/TAX_ID"/></b>
	<br/>
	<br/>
	<hr width="100%"/>
	</div>
	<table width="100%" style="font-size:10px;">
	<tr>
		<td width="40%"><b>Dokument przyjcia do magazynu numer: </b><xsl:value-of select="PZ_DOCUMENT/PZDOCNUMBER"/></td>
		<td width="30%"><b>Dla magazynu o symbolu: </b><xsl:value-of select="PZ_DOCUMENT/WAREHOUSE_SYMBOL"/></td>
		<td width="20%"><b>Data wystawienia: </b><xsl:value-of select="PZ_DOCUMENT/PZ_DOCDATE"/></td>
	</tr>
	<tr>
		<td width="40%"><b>Opis dokumentu zakupu: </b><xsl:value-of select="PZ_DOCUMENT/INVOICE_NUMBER"/></td>
	</tr>
	</table>
	<hr width="100%"/>
	<br/>
	<b style="font-size:14px;">Dane dostawcy: </b><br/>
	<b>Symbol: </b><xsl:value-of select="PZ_DOCUMENT/CONTRACTOR/SYMBOL"/><br/>
	<b>Nazwa: </b><xsl:value-of select="PZ_DOCUMENT/CONTRACTOR/NAME"/><br/>
	<b>Adres: </b><xsl:value-of select="PZ_DOCUMENT/CONTRACTOR/ADDRESS"/><br/>
	<b>NIP: </b><xsl:value-of select="PZ_DOCUMENT/CONTRACTOR/TAX_ID"/><br/>
	<br/>
	<hr width="100%"/>
	<b>Notatki do dokumentu: </b>
	<PRE style="font-family:arial; font-size:10px;margin-top:1px;"><xsl:value-of select="PZ_DOCUMENT/DESCRIPTION"/><hr width="100%"/></PRE>
	<b>Lista pozycji dokumentu PZ:</b>
	<table style="border-width:0px; border-style:solid;font-size:10px;margin-top:5px; " width="100%" cellspacing="1" cellpadding="1" bgcolor="black">
		<tr bgcolor="white">
			<th align="center" width="5%">Lp.</th>
			<th align="center" width="15%">Symbol pozycji</th>
			<th align="center" width="40%">Nazwa pozycji</th>
			<th align="center" width="11%">Ilo</th>
			<th align="center" width="11%">Cena zakupu</th>		
			<th align="center" width="6%">Jednostka</th>	
			<th align="center" width="12%">Warto pozycji</th>			
		</tr>
		<xsl:for-each select="PZ_DOCUMENT/DOCUMENT_ITEMS/ITEM">
		<tr bgcolor="white">
			<td align="right"><xsl:value-of select="LP"/></td>
			<td align="left"><xsl:value-of select="SYMBOL"/></td>
			<td align="left"><xsl:value-of select="NAME"/></td>
			<td align="right"><xsl:value-of select="ITEM_AMOUNT"/></td>
			<td align="right"><xsl:value-of select="PURCHASE_PRICE"/></td>		
			<td align="right"><xsl:value-of select="UNIT"/></td>			
			<td align="right"><xsl:value-of select="POSITION_VALUE"/></td>		
		</tr>
		</xsl:for-each>
		<tr bgcolor="white">
				<td align="right" colspan="6"><b>RAZEM:</b></td>
				<td align="right"><xsl:value-of select="PZ_DOCUMENT/SUMS/POSITIONS_SUM"/></td>
		</tr>	  
	</table>	
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
